- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# PathPair Class Reference

the PathPair class. More...

`#include <OSOption.h>`

Collaboration diagram for PathPair:

[legend]
List of all members.

## Public Member Functions
| PathPair ()
| Default constructor.
| ~PathPair ()
| Class destructor.
bool | IsEqual (PathPair *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
## Public Attributes
std::string | from
| the file or directory to move/copy from
std::string | to
| the file or directory to move/copy to
bool | makeCopy
| record whether a copy is to be made

## Detailed Description

the PathPair class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 773 of file OSOption.h.

## Constructor & Destructor Documentation

PathPair::PathPair | ( |  | ) |

Default constructor.

Definition at line 308 of file OSOption.cpp.

PathPair::~PathPair | ( |  | ) |

Class destructor.

Definition at line 318 of file OSOption.cpp.

## Member Function Documentation

bool PathPair::IsEqual | ( | PathPair * | that | ) |

A function to check for the equality of two objects.

Definition at line 8814 of file OSOption.cpp.

References from, makeCopy, and to.

bool PathPair::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 10592 of file OSOption.cpp.

References from, makeCopy, OSRand(), and to.

Referenced by PathPairs::setRandom().

## Member Data Documentation

std::string PathPair::from

the file or directory to move/copy from

Definition at line 777 of file OSOption.h.

Referenced by PathPairs::addPathPair(), IsEqual(), PathPairs::setPathPair(), and setRandom().

std::string PathPair::to

the file or directory to move/copy to

Definition at line 780 of file OSOption.h.

Referenced by PathPairs::addPathPair(), IsEqual(), PathPairs::setPathPair(), and setRandom().

bool PathPair::makeCopy

record whether a copy is to be made

Definition at line 783 of file OSOption.h.

Referenced by PathPairs::addPathPair(), IsEqual(), PathPairs::setPathPair(), and setRandom().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp